## com.sun.jersey.api.spring
Enum AutowireMode

    java.lang.Object
      java.lang.Enum<AutowireMode>
          com.sun.jersey.api.spring.AutowireMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AutowireMode>

    public enum AutowireMode

extends java.lang.Enum<AutowireMode>

This enumerations encapsulates the autowiring modes provided by the `AutowireCapableBeanFactory`.

Author:
  Martin Grotzke

Enum Constant Summary
`AUTODETECT`
`BY_NAME`
`BY_TYPE`
`CONSTRUCTOR`

Method Summary
`int` | `getSpringCode()`
`static AutowireMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AutowireMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTODETECT

    public static final AutowireMode AUTODETECT

### BY_NAME

    public static final AutowireMode BY_NAME

### BY_TYPE

    public static final AutowireMode BY_TYPE

### CONSTRUCTOR

    public static final AutowireMode CONSTRUCTOR

Method Detail

### values

    public static AutowireMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AutowireMode c : AutowireMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AutowireMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSpringCode

    public int getSpringCode()

Copyright © 2017 Oracle Corporation. All Rights Reserved.